ProblemResourceInfo (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.ext.ProblemResourceInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.ext
Class ProblemResourceInfo

    java.lang.Object
      org.hyperic.hq.measurement.ext.ProblemResourceInfo

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class ProblemResourceInfo

extends java.lang.Object
implements java.lang.Comparable, java.io.Serializable

This is used to determine to identify which concrete resources have problem indicators.

See Also:
  Serialized Form

Constructor Summary
`ProblemResourceInfo(AppdefEntityID anEntityId, java.lang.Integer theOobCount, java.lang.Integer theAlertCount, long theEarliest, long theLatest)` Construct a problem resource with data pulled from the database
`ProblemResourceInfo(AppdefEntityID anEntityId, ProblemMetricInfo[] someProblems)` Construct a problem resource from its set of problem metrics

Method Summary
`int` | `compareTo(java.lang.Object o)` Depending compare resource's problems based on when it started producing alerts or started having metrics out of bounds.
`int` | `getAlertCount()` The number of alerts that the resource has associated with it during the timeframe this was constructed for
`long` | `getEarliest()` The time within the constructed timeframe when a problem was first detected
`AppdefEntityID` | `getEntityId()` The ID of the problematic resource
`long` | `getLatest()`
`int` | `getOobCount()` The number of value out-of-range events that the resource has associated with it during the timeframe this was constructed for
`boolean` | `isAlertCountSet()`
`boolean` | `isOobCountSet()`
`void` | `setAlertCount(int alertCount)`
`void` | `setEarliest(long earliest)`
`void` | `setLatest(long latest)`
`void` | `setOobCount(int oobCount)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProblemResourceInfo

    public ProblemResourceInfo(AppdefEntityID anEntityId,
                               java.lang.Integer theOobCount,
                               java.lang.Integer theAlertCount,
                               long theEarliest,
                               long theLatest)

  Construct a problem resource with data pulled from the database

  Parameters:
    `anEntityId` -
    `theOobCount` -
    `theAlertCount` -
    `theEarliest` -

### ProblemResourceInfo

    public ProblemResourceInfo(AppdefEntityID anEntityId,
                               ProblemMetricInfo[] someProblems)

  Construct a problem resource from its set of problem metrics

  Parameters:
    `anEntityId` -
    `someProblems` -

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

  Depending compare resource's problems based on when it started producing alerts or started having metrics out of bounds.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  See Also:
    `Comparable.compareTo(java.lang.Object)`

### getAlertCount

    public int getAlertCount()

  The number of alerts that the resource has associated with it during the timeframe this was constructed for

  Returns:
    int

### getOobCount

    public int getOobCount()

  The number of value out-of-range events that the resource has associated with it during the timeframe this was constructed for

  Returns:
    int

### getEarliest

    public long getEarliest()

  The time within the constructed timeframe when a problem was first detected

  Returns:
    long

### getEntityId

    public AppdefEntityID getEntityId()

  The ID of the problematic resource

  Returns:
    AppdefEntityID

### isAlertCountSet

    public boolean isAlertCountSet()

### isOobCountSet

    public boolean isOobCountSet()

### setAlertCount

    public void setAlertCount(int alertCount)

### setOobCount

    public void setOobCount(int oobCount)

### setEarliest

    public void setEarliest(long earliest)

### getLatest

    public long getLatest()

### setLatest

    public void setLatest(long latest)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.